services:
  buddelectric:
    build: .
    container_name: buddelectric
    restart: always
    ports:
      - "3040:3000" # Kannst du später sogar löschen, wenn es nur noch über Caddy laufen soll
    environment:
      - NODE_ENV=production
      - SES_SMTP_HOST=${SES_SMTP_HOST:-email-smtp.us-east-2.amazonaws.com}
      - SES_SMTP_PORT=${SES_SMTP_PORT:-587}
      - SES_SMTP_USER=${SES_SMTP_USER}
      - SES_SMTP_PASS=${SES_SMTP_PASS}
      - SES_FROM_EMAIL=${SES_FROM_EMAIL:-website@buddelectric.net}
      - SES_TO_EMAIL=${SES_TO_EMAIL:-buddelectric@grandecom.net}
    networks:
      - bizmatch # <-- NEU: Container ins selbe Netz wie Caddy hängen

networks: # <-- NEU: Netzwerk deklarieren
  bizmatch:
    external: true
